Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.relauncher
Interface IFMLLoadingPlugin

All Known Implementing Classes:
  FMLCorePlugin, FMLForgePlugin

    public interface IFMLLoadingPlugin

The base plugin that provides class name meta information to FML to enhance the classloading lifecycle for mods in FML

Author:
  cpw

Nested Class Summary
`static interface` | `IFMLLoadingPlugin.TransformerExclusions` Annotate your load plugin with a list of package prefixes that will *not* be processed by the ASM transformation stack.

Method Summary
`String[]` | `getASMTransformerClass()` Return a list of classes that implements the IClassTransformer interface
`String[]` | `getLibraryRequestClass()` Return a list of classes that implement the ILibrarySet interface
`String` | `getModContainerClass()` Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on.
`String` | `getSetupClass()` Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require.
`void` | `injectData(Map<String,Object> data)` Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,

Method Detail

### getLibraryRequestClass

    String[] getLibraryRequestClass()

  Return a list of classes that implement the ILibrarySet interface

  Returns:
    a list of classes that implement the ILibrarySet interface

### getASMTransformerClass

    String[] getASMTransformerClass()

  Return a list of classes that implements the IClassTransformer interface

  Returns:
    a list of classes that implements the IClassTransformer interface

### getModContainerClass

    String getModContainerClass()

  Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on. Trivially, this modcontainer will be loaded before all regular mod containers, which means it will be forced to be "immutable" - not susceptible to normal sorting behaviour. All other mod behaviours are available however- this container can receive and handle normal loading events

### getSetupClass

    String getSetupClass()

  Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require. It will be run prior to Minecraft starting, so it CANNOT operate on minecraft itself. The game will deliberately crash if this code is detected to trigger a minecraft class loading (TODO: implement crash ;) )

### injectData

    void injectData(Map<String,Object> data)

  Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD